ExceptionHandler (Apache Struts API Documentation)
Keywords: org.apache.struts.action.ExceptionHandler,ExceptionHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class ExceptionHandler

    java.lang.Object
      |
      +--org.apache.struts.action.ExceptionHandler

public class ExceptionHandler
extends java.lang.Object

An ExceptionHandler is configured in the Struts configuration file to handle a specific type of exception thrown by an Action's execute method.

Since:
  Struts 1.1

Constructor Summary
`ExceptionHandler()`

Method Summary
`ActionForward` | `execute(java.lang.Exception ex, ExceptionConfig ae, ActionMapping mapping, ActionForm formInstance, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Handle the exception.
`protected void` | `storeException(javax.servlet.http.HttpServletRequest request, java.lang.String property, ActionError error, ActionForward forward, java.lang.String scope)` Default implementation for handling an ActionError generated from an Exception during Action delegation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionHandler

    public ExceptionHandler()

Method Detail

### execute

    public ActionForward execute(java.lang.Exception ex,
                                 ExceptionConfig ae,
                                 ActionMapping mapping,
                                 ActionForm formInstance,
                                 javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response)
                          throws javax.servlet.ServletException

  Handle the exception. Return the `ActionForward` instance (if any) returned by the called `ExceptionHandler`.

  Parameters:
    `ex` - The exception to handle
    `ae` - The ExceptionConfig corresponding to the exception
    `mapping` - The ActionMapping we are processing
    `formInstance` - The ActionForm we are processing
    `request` - The servlet request we are processing
    `response` - The servlet response we are creating
  Throws:
    `javax.servlet.ServletException` - if a servlet exception occurs
  Since:
    Struts 1.1

### storeException

    protected void storeException(javax.servlet.http.HttpServletRequest request,
                                  java.lang.String property,
                                  ActionError error,
                                  ActionForward forward,
                                  java.lang.String scope)

  Default implementation for handling an ActionError generated from an Exception during Action delegation. The default implementation is to set an attribute of the request or session, as defined by the scope provided (the scope from the exception mapping). An ActionErrors instance is created, the error is added to the collection and the collection is set under the Globals.ERROR_KEY.

  Parameters:
    `request` - - The request we are handling
    `property` - - The property name to use for this error
    `error` - - The error generated from the exception mapping
    `forward` - - The forward generated from the input path (from the form or exception mapping)
    `scope` - - The scope of the exception mapping.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation